import { Page } from "@playwright/test";
import { ICameraSettings, ILens } from "./types";
export declare class EyesLens implements ILens {
    protected page: Page;
    protected settings: ICameraSettings;
    private snapshotsFolderName;
    constructor(page: Page, settings: ICameraSettings);
    takeSnapshot(label: string): Promise<void>;
    takeFullScreenSnapshot(label: string): Promise<void>;
    cameraON(): Promise<void>;
    cameraOFF(): Promise<void>;
    toolConfig(): any;
    private buildFilePath;
    private ensureDir;
}
